> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qfex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Settlement Prices

> Return current and historic settlement prices and ratios.



## OpenAPI

````yaml /api-reference/openapi.yaml get /settlement-prices
openapi: 3.1.0
info:
  contact:
    email: support@qfex.com
    name: QFEX Support
  description: REST API for QFEX
  license:
    name: QFEX License
    url: https://qfex.com/license
  title: QFEX REST API
  version: 0.1.0
servers:
  - description: Production server
    url: https://api.qfex.com
security: []
paths:
  /settlement-prices:
    get:
      tags:
        - market-data
      summary: Settlement Prices
      description: Return current and historic settlement prices and ratios.
      operationId: read-settlement-prices
      parameters:
        - explode: false
          in: query
          name: symbol
          schema:
            type: string
        - explode: false
          in: query
          name: start
          schema:
            format: date-time
            type: string
        - explode: false
          in: query
          name: end
          schema:
            format: date-time
            type: string
        - explode: false
          in: query
          name: limit
          schema:
            default: 100
            format: int64
            maximum: 1000
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SettlementPricesResponseBody'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
      security: []
components:
  schemas:
    SettlementPricesResponseBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.qfex.com/schemas/SettlementPricesResponseBody.json
          format: uri
          readOnly: true
          type: string
        count:
          format: int64
          type: integer
        data:
          items:
            $ref: '#/components/schemas/SettlementPrice'
          type:
            - array
            - 'null'
      required:
        - data
        - count
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.qfex.com/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    SettlementPrice:
      additionalProperties: false
      properties:
        asof:
          type: string
        future_settlement_price:
          format: double
          type: number
        future_symbol:
          type: string
        inserted_at:
          format: date-time
          type: string
        spot_settlement_price:
          format: double
          type: number
        spot_to_future_ratio:
          format: double
          type: number
        symbol:
          type: string
      required:
        - symbol
        - future_symbol
        - future_settlement_price
        - spot_settlement_price
        - asof
        - inserted_at
        - spot_to_future_ratio
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````